Subject: Re: bug#3208: 23.0.93; Memory full / crash when displaying lots of characters from a large font (like Arial Unicode or Code2000) which is not explicitly selected (on Win32)

From: Chong Yidong <[email-masked]>
Date: Wed, 06 May 2009 19:11:57 -0400

> I can reproduce this. The malloc warnings always seem to occur in the 
> SAFE_ALLOCA call in font_sort_entities. The vec passed in to that 
> function contains all the fonts on my system, and len is over 3000, 
> requiring 24kB to be allocated.

FWIW, I can't reproduce this on GNU/Linux.  My default font is DejaVu
Sans Mono, and I tried following the recipe by inserting 0x2203 (which
displays in Kochi Gothic) repeatedly, and moving to the beginning and to
the end of the buffer repeatedly.

font_sort_entities is called a few times initially when I insert 0x2203,
but it is not called repeatedly thereafter.

Could you try to debug why font_sort_entities is called repeatedly in
your case?